AceTime 2.4.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Member Functions | List of all members
ace_time::BasicZone Class Reference

A thin wrapper around a basic::ZoneInfo data structure to provide a stable API access to some useful basic::ZoneInfo data. More...

`#include <BasicZone.h>`

## Public Member Functions
| BasicZone (const basic::ZoneInfo *zoneInfo)
| Constructor from a raw basic::ZoneInfo* pointer, intended for manual inspection of a ZoneInfo record.
| BasicZone (const basic::ZoneInfoBroker &zoneInfo)
| Constructor from a basic::ZoneInfoBroker, used by BasicZoneProcessor. More...
| BasicZone (const BasicZone &)=default
BasicZone & | operator= (const BasicZone &)=default
bool | isNull () const
| Return true if zoneInfo is null.
void | printNameTo (Print &printer) const
| Print the full zone name to printer. More...
void | printShortNameTo (Print &printer) const
| Print the short pretty zone name to the printer. More...
uint32_t | zoneId () const
| Return the zoneId of the current zoneInfo.
TimeOffset | stdOffset () const
| Return the STDOFF of the last ZoneEra.
ace_common::KString | kname () const
| Return the name as a KString.

## Detailed Description

A thin wrapper around a basic::ZoneInfo data structure to provide a stable API access to some useful basic::ZoneInfo data.

The basic::ZoneInfo data struct is intended to be an opaque type to the users of this library.

Definition at line 23 of file BasicZone.h.

## Constructor & Destructor Documentation

## ◆ BasicZone()

ace_time::BasicZone::BasicZone | ( | const basic::ZoneInfoBroker & | zoneInfo | ) |
| inline

Constructor from a basic::ZoneInfoBroker, used by BasicZoneProcessor.

This allows the implementation details of ZoneInfoBroker to remain hidden.

Definition at line 37 of file BasicZone.h.

## Member Function Documentation

## ◆ printNameTo()

void ace_time::BasicZone::printNameTo | ( | Print & | printer | ) | const

Print the full zone name to printer.

Example "America/Los_Angeles".

Definition at line 18 of file BasicZone.cpp.

## ◆ printShortNameTo()

void ace_time::BasicZone::printShortNameTo | ( | Print & | printer | ) | const

Print the short pretty zone name to the printer.

Underscores are replaced with spaces. Example "Los Angeles".

Definition at line 25 of file BasicZone.cpp.

The documentation for this class was generated from the following files:

- /home/brian/src/AceTime/src/ace_time/BasicZone.h
- /home/brian/src/AceTime/src/ace_time/BasicZone.cpp